<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%@ page import="examples.expi.*" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"%>

<html>
<head>
<title>Sign On to the Tivoli Identity Products Integration Sample</title>

<%
   boolean fromWebSEAL = false;
   String UID=null;
   
   String ssoEnabled = (String)request.getAttribute(expiUtil.SSO_ENABLED);
	
   if (ssoEnabled != null && ssoEnabled.equals("yes")) {
	   String ivuser = request.getHeader("iv-user" );
	   if(( ivuser != null ) && (ivuser.length() > 0 )){
	       fromWebSEAL = true;
	       UID = ivuser.trim();
	       System.out.println( "SSO: UID=" + UID );
	   }
	}
%>

<script language="JavaScript">

function getRegisterURL() {
	document.location= "selfregister.jsp";
}

function doLogin() {
	if ( document.loginForm.logonID == null || document.loginForm.logonID.value.length > 0 ) {
		document.loginForm.action = document.location.protocol + "//" + document.location.host + "/itim_expi/logonServlet";
		document.loginForm.submit();
	} else {
		alert( "Please supply your username and press the \"OK\" button.");
	}
}

function forgotPassword() {
	if ( document.loginForm.logonID == null || document.loginForm.logonID.value.length > 0 ) {
		document.loginForm.action = document.location.protocol + "//" + document.location.host + "/itim_expi/ForgotPasswordServlet";
		document.loginForm.submit();
	} else {
		alert( "Please enter your username and press the \"Forgot your password?\" link" );
	}
}

</script>
</head>

<%
if( fromWebSEAL ){

%>
<body onLoad="doLogin()">
<form name="loginForm" method="POST"><input name="logonID" type="hidden"
	size="20" class="entry-field" value="<%=UID%>"> <input name="password"
	type="hidden" size="20" class="entry-field" value="none"></form>

</body>
</html>

<%
}else{
%>

<!-- header -->
<%@ include file="expi_logon_header.html" %>


<table width="100%" border="0" cellspacing="0" cellpadding="3">
	<tr>
		<td width="80"><img src="images/img_clear.gif" width="80" height="10"></td>
		<td width="100%">
		<table width="90%" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td class="heading-text">Sign On</td>
			</tr>
			<tr>
				<td class="heading-line"><img src="images/img_clear.gif" width="1"
					height="2"></td>
			</tr>

			<!-- Info message -->
			<tr>
				<td class="text-description">To sign on, please enter your user ID
				and password.</td>
			</tr>

			<!-- Display any error messages -->
			<tr>
				<td><%@ include file="error_msg_box.jsp" %></td>
			</tr>
		</table>

		<br>

		<!-- Login form -->

		<form name="loginForm" method="POST">
		<table width="102%" border="0" cellspacing="0" cellpadding="3">
			<tr>
				<td width="90%" nowrap class="text-normal">User ID:<br>
				<input name="logonID" type="text" size="20" class="entry-field"></td>
			</tr>
			<tr>
				<td nowrap class="text-normal">Password:<br>
				<input name="password" type="password" size="20" class="entry-field">
				</td>
			</tr>
			<tr>
				<td class="text-normal"><input type="submit" name="ACTION"
					value="OK" class="button" onClick="doLogin();"
					onMouseOver="pviiClassNew(this,'buttonover')"
					onMouseOut="pviiClassNew(this,'button')"></td>
			</tr>
			<tr>
				<td class="text-normal"><br>
				<b><a href="selfchangepwd.jsp"><span class=pci-link>
				Change Your Password</span></a></b></td>
			</tr>
			<tr>
				<td class="text-normal"><br>
				<b><a href="Javascript:forgotPassword();"><span class=pci-link>Forgot
				Your Password?</span></a></b></td>
			</tr>
			<tr>
				<td class="text-normal"><br>
				<b><a href="Javascript:getRegisterURL();"><span class=pci-link>Register
				as a new user?</span></a></b></td>
			</tr>
		</tr>

			<tr>
				<td><img src="images/img_clear.gif" width="100%" height="10"></td>
			</tr>

			<tr>
				<td><img src="images/img_clear.gif" width="100%" height="10"></td>
			</tr>

		</table>

		<!-- Build info -->
		<table width="90%" border="0" cellspacing="0" cellpadding="0>

			<tr>
				<td>
					<img src="images/img_clear.gif" width="100%" height="10">
				</td>
			</tr>

			<tr>
				<td class="heading-line"><img src="images/img_clear.gif" width="1"
					height="2"></td>
			</tr>

			<tr>
				<td class="text-description" align="right">Build date: 10/03/2003 03:54</td>
			</tr>
		</table>

		</form>
		</td>
	</tr>

	<tr>
		<td><img src="images/img_clear.gif" width="100%" height="10"></td>
	</tr>

</table>

</body>
<!-- Start tag is in expi_logon_header.html -->
</html>

<%
}
%>
